'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-b4db440e.js');
const appGlobals = require('./app-globals-3a1e7e63.js');

/*
 Stencil Client Patch Browser v4.13.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('multiversx-sdk-dapp-ui-lib.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["floating-wallet.cjs",[[2,"floating-wallet",{"walletAddress":[1,"wallet-address"],"walletVisible":[32],"iframeIsLoading":[32],"setWalletVisible":[64]}]]],["open-popup-notification.cjs",[[2,"open-popup-notification",{"action":[1],"walletAddress":[1,"wallet-address"]}]]],["trim-string.cjs",[[2,"trim-string",{"string":[1],"length":[2]}]]]], options);
});

exports.setNonce = index.setNonce;

//# sourceMappingURL=multiversx-sdk-dapp-ui-lib.cjs.js.map