import { h } from "@stencil/core";
import { trimStr } from "../../utils/utils";
export class TrimString {
    constructor() {
        this.string = undefined;
        this.length = undefined;
    }
    render() {
        return h("div", { key: '043a3f4eaf382c40242b2817fe2191740a5d3c2b' }, trimStr(this.string, this.length));
    }
    static get is() { return "trim-string"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["trim-string.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["trim-string.css"]
        };
    }
    static get properties() {
        return {
            "string": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "string",
                "reflect": false
            },
            "length": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "attribute": "length",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=trim-string.js.map
